package java.nio.file.attribute;

import java.util.Set;
import java.io.IOException;

public interface PosixFileAttributeView extends BasicFileAttributeView, FileOwnerAttributeView
{
    public abstract String name();
    
    public abstract PosixFileAttributes readAttributes() throws IOException;
    
    public abstract void setPermissions(Set<PosixFilePermission> p0) throws IOException;
    
    public abstract void setGroup(GroupPrincipal p0) throws IOException;
}
